Your password does not satisfy the current policy requirements

Facing this error while creating a new-site manually Using <CMD>
Bench Version : 4.1.0
Frappe Version: 7.1.11
Branch: Develop
MariaDB: Distrib 10.1.19-MariaDB, for Linux (x86_64)
CMD: bench new-site test.local
MySQL root password:
Traceback (most recent call last):
File “/usr/lib64/python2.7/runpy.py”, line 162, in _run_module_as_main
main”, fname, loader, pkg_name)
File “/usr/lib64/python2.7/runpy.py”, line 72, in _run_code
exec code in run_globals
File “/home/test/test/apps/frappe/frappe/utils/bench_helper.py”, line 79, in
main()
File “/home/test/test/apps/frappe/frappe/utils/bench_helper.py”, line 16, in main
click.Group(commands=commands)(prog_name=‘bench’)
File “/home/test/test/env/lib/python2.7/site-packages/click/core.py”, line 716, in call
return self.main(*args, **kwargs)
File “/home/test/test/env/lib/python2.7/site-packages/click/core.py”, line 696, in main
rv = self.invoke(ctx)
File “/home/test/test/env/lib/python2.7/site-packages/click/core.py”, line 1060, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/test/test/env/lib/python2.7/site-packages/click/core.py”, line 1060, in invoke
return _process_result(sub_ctx.command.invoke(sub_ctx))
File “/home/test/test/env/lib/python2.7/site-packages/click/core.py”, line 889, in invoke
return ctx.invoke(self.callback, **ctx.params)
File “/home/test/test/env/lib/python2.7/site-packages/click/core.py”, line 534, in invoke
return callback(*args, **kwargs)
File “/home/test/test/apps/frappe/frappe/commands/site.py”, line 26, in new_site
verbose=verbose, install_apps=install_app, source_sql=source_sql, force=force)
File “/home/test/test/apps/frappe/frappe/commands/site.py”, line 56, in _new_site
admin_password=admin_password, verbose=verbose, source_sql=source_sql,force=force, reinstall=reinstall)
File “/home/test/test/apps/frappe/frappe/installer.py”, line 34, in install_db
create_database_and_user(force, verbose)
File “/home/test/test/apps/frappe/frappe/installer.py”, line 58, in create_database_and_user
dbman.create_user(db_name, frappe.conf.db_password)
File “/home/test/test/apps/frappe/frappe/model/db_schema.py”, line 495, in create_user
self.db.sql(“CREATE USER ‘%s’@’%s’ IDENTIFIED BY ‘%s’;” % (user[:16], host, password))
File “/home/test/test/apps/frappe/frappe/database.py”, line 148, in sql
self._cursor.execute(query)
File “/home/test/test/env/lib/python2.7/site-packages/MySQLdb/cursors.py”, line 205, in execute
self.errorhandler(self, exc, value)
File “/home/test/test/env/lib/python2.7/site-packages/MySQLdb/connections.py”, line 36, in defaulterrorhandler
raise errorclass, errorvalue
_mysql_exceptions.OperationalError: (1819, ‘Your password does not satisfy the current policy requirements’)

Seems like you have some password requirements as a part of your MariaDB setup

Exactly ! you are very right sir.
There are few pre-changes made by default while installing MariaDB-Server latest version. These setting are related to global environment variables settings of MariaDB-Server.
I have fixed this issue using some by modifying some environments global variables related to validate_password_xxx.
Check all the Global Environment variables by running SHOW VARIABLES or SHOW VARIABLES LIKE string_to_be_search query in mariaDB as superuser.
Then modify Global Environment Variables using:
SET cracklib_password_check_dictionary = ‘/usr/share/cracklib/pw_dict’
SET validate_password = ‘Medium’ by default its value is Strong.

Also might be, need to change the permissions on /usr/share/cracklib/pw_dict file for root and other user according to requirements.
It can be due to lack of control over pw_dict file inside /usr/share/cracklib .
Adjust it by changing the Permissions on pw_dict.

Thank you for your positive response.